Bug 1281817 - Firefox - wrong popup position (menu, tooltips) on X11
Firefox - wrong popup position (menu, tooltips) on X11
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 08:39 EST by Martin Stransky
Modified: 2016-01-22 13:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1269437
Environment:
Last Closed: 2016-01-22 13:14:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase (2.75 KB, text/plain)
2015-11-13 08:39 EST, Martin Stransky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1022241 None None None Never

  None (edit)
Description Martin Stransky 2015-11-13 08:39:50 EST
Created attachment 1093649 [details]
testcase

Mozilla bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1022241

When configure event is send to hidden popup window (it does Cinamon, Xfce and some other DE), the popup shown on wrong (old) position next time.

There's a testcase attached. It affects all popups created by Firefox - menus, dropdowns and so.
Comment 1 Olivier Fourdan 2015-12-09 09:28:50 EST
I think we had this fixed in gtk+ master with https://bugzilla.gnome.org/show_bug.cgi?id=758609 but then the issue re-appeared again later with https://git.gnome.org/browse/gtk+/commit/?id=67ab00e
Comment 2 Matthias Clasen 2016-01-22 13:14:47 EST
should be fixed now

Note You need to log in before you can comment on or make changes to this bug.